---
title: "Create a new Trusted Certificate."
slug: "create-a-new-trusted-certificate-1"
updated: 2026-03-02T22:30:52Z
published: 2026-03-02T22:35:52Z
canonical: "support.appgate.com/create-a-new-trusted-certificate-1"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.appgate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new Trusted Certificate.

Post/trusted-certificates

Create a new Trusted Certificate.

SecurityHTTPType bearer

Body parameters

Trusted Certificate object.

<select class='api-response-data' aria-label='Media type'><option value='6b0b3ec1-b621-4776-93e4-62f4e624631c'>application/json</option>
</select>Expand Allobject  idstring  (uuid)    

ID of the object.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
namestring    Required

Name of the object.

Exampleobject
notesstring    

Notes for the object. Used for documentation purposes.

ExampleThis object has been created for test purposes.

tags Array of string   

Array of tags.

Example[
  "developer",
  "api-created"
]string    
pemstring  (PEM)    Required

A certificate in PEM format.

Example-----BEGIN CERTIFICATE-----
....
-----END CERTIFICATE-----

Responses200

Created Trusted Certificate.

<select class='api-response-data' aria-label='Media type'><option value='cbccf6e8-7ae0-4989-a678-e7be2c4d542b'>application/json</option>
</select>Expand Allobject  idstring  (uuid)    

ID of the object.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
namestring    

Name of the object.

Exampleobject
notesstring    

Notes for the object. Used for documentation purposes.

ExampleThis object has been created for test purposes.
createdstring  (date-time)    

Create date.

updatedstring  (date-time)    

Last update date.

tags Array of string   

Array of tags.

Example[
  "developer",
  "api-created"
]string    
pemstring  (PEM)    

A certificate in PEM format.

Example-----BEGIN CERTIFICATE-----
....
-----END CERTIFICATE-----
detailsobject (CertificateDetails)  

X509 certificate details.

versionnumber    

X.509 certificate version.

Example3.0
serialstring    

X.509 certificate serial number.

Example1542962969512
issuerstring    

The issuer name of the certificate.

ExampleCN=Appgate SDP CA
subjectstring    

The subject name of the certificate.

ExampleCN=Appgate SDP CA
validFromstring  (date-time)    

Since when the certificate is valid from.

validTostring  (date-time)    

Until when the certificate is valid.

fingerprintstring    

SHA256 fingerprint of the certificate.

Exampled30247cee99a056c5ecdc409549165886d02925f9c64b681dff3d2ecf653355f
certificatestring  (byte)    

Base64 encoded binary of the certificate. Either DER or PEM formatted depending on the request.

subjectPublicKeystring  (byte)    

Base64 encoded public key of the certificate.

400

JSON error. Check the JSON format.

<select class='api-response-data' aria-label='Media type'><option value='ab92a9ea-a16b-43f3-b3eb-afb0a1c5df83'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

401

Token error. Login again.

<select class='api-response-data' aria-label='Media type'><option value='78901a01-90c9-4b45-8a7d-82db96e737ce'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

403

Insufficient permissions to access this resource.

<select class='api-response-data' aria-label='Media type'><option value='3f9365d6-20a4-4ae1-8cda-be45346bf641'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

406

Invalid 'Accept' header.

<select class='api-response-data' aria-label='Media type'><option value='a0b485f4-b32d-47a9-b162-d0860579559a'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

409

The submitted resource conflicts with another.

<select class='api-response-data' aria-label='Media type'><option value='871ff00c-51c7-4992-9fde-e82abc864299'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

422

Request validation error. Check "errors" array for details.

<select class='api-response-data' aria-label='Media type'><option value='0516fe60-4a65-4d41-beba-ac70d8a0c094'>application/json</option>
</select>Expand Allobject  

Http 422 error for object validation.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

errors Array of object   

List of fields with validation errors.

object  fieldstring    

Name of the field that failed validation.

Examplename
messagestring    

Failure reason.

Examplemay not be null

500

Unexpected server side error.

<select class='api-response-data' aria-label='Media type'><option value='2404671f-4288-4266-ab32-6c372d9f0741'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.
